# Program to download LEHD WAC data

library(tidyverse)

homedir = '<set to directory>'
setwd(homedir)

dir.create('data/lehd')

states = c('ak','al','ar','az','ca','co','ct','dc','de','fl','ga','hi','ia','id','il','in','ks','ky','la','ma','md','me','mi','mn','mo','ms','mt','nc','nd','ne','nh','nj','nm','nv','ny','oh','ok','or','pa','ri','sc','sd','tn','tx','ut','va','vt','wa','wi','wv','wy')

for(jt in c('01')){
  for(st in states){
    yr = '2014'
    if(st == 'wy') yr = '2013'
    
  dir.create(paste('data/lehd/wac_',jt,'_',yr,sep = ''))
  
  lodesurl = paste('http://lehd.ces.census.gov/data/lodes/LODES7/',st,'/wac/',st,'_wac_S000_JT',jt,'_',yr,'.csv.gz',sep = '')
  lodesdest = paste('data/lehd/wac_',jt,'_',yr,'/',st,'_wac_S000_JT',jt,'_',yr,'.csv.gz',sep = '')
  
  download.file(lodesurl,lodesdest)
  
 }
}
