Replication package for The spatial structure of US metropolitan employment: New insights from administrative data

This paper makes use of extensive public data, totalling several dozen GB of hard drive space. 


# 1. Download Population data and make MSA population 

1. Download Total population at the block level 2010, SF1 from https://www.nhgis.org. Save this in data/nhgis

2. Run 1.1_prep_msa_populations.R script to make population by 2013 MSA, 2018 MSA, and 1990 CZ


# 2. Preparing MSA shapefiles

These steps can be skipped by downloading pre-made MSA block shapefiles from www.robertmanduca.com/publications. Note that the complete set of block shapefiles for each MSA definition (2013 CBSAs, 2018 CBSAs, 1990 CZs) takes up approximately 15gb of hard drive space. 

1. Run 2.1_prep_download_shapes.R script to download the Census block shapefiles from https://www2.census.gov/

2. Run 2.2_prep_msa_shapes.py script to make shapefiles for each MSA/CZ specifically - Make shapefiles for each MSA


# 3. Download LODES data and create blocks

1. Run 3.1_prep_download_lodes.R to download the LODES WAC data for 2014

2. Run 3.2_prep_dataprep_blocks.py to produce list of blocks with populations, areas, and job counts by MSA. Note that the full set of block csv files for each type of MSA takes up about 1gb of hard drive space


# 4. Block-level analysis 

1. Run 4.1_analysis_topcodes_blocksize.R, which outputs the number of blocks affected by top-coding and the average land area of blocks by MSA

2. Run 4.2_figures_dot_density.R, which makes the dot density maps found in Figure 1 of the main text

3. Run 4.3_analysis_analyze_blocks.R, which creates graphs of the percetnage of land area, employment, and population in different types of blocks. Also computes median job and median population density.  This is the basis for Figure 2 in the main text and Figures S2 and S3 in the supplementary analysis. 


# 5. Classify blocks and identify business districts

1. Run 5.1_analysis_identify_bds.py, which groups employment blocks into contiguous business districts. 

2. Run 5.2S_analysis_identify_bds_giuliano.py to identify business districts using the raw density threshold approach from Giuliano and Small

2. Run 5.3S_analysis_identify_bds_dbscan.py to identify business districts using a variant of the DBSCAN algorithm to avoid non-compact business districts

3. Run 5.4_analysis_categorize_bds.R, which categorizes business districts into four types. This outputs Tables S2 and S3 and Figure S8 in the supplementary materials.

3. Run 5.5_analysis_msa_sumstats.R, which calculates the total employment, percentage of jobs in employment blocks, number of large business districts, and size of largest business district for each MSA. This forms the basis for Table S1 in the supplementary materials

3. Run 5.6_figures_cat_maps.R, which creates maps of business districts in each MSA colored by category, including the map in Figure 4 of the main text.

4. Run 5.7_figures_dot_maps.R, which creates maps with dots for each business district sized by total employment in that district, including those for Figures S6 and S7 in the supplementary materials


# 6. Identify central points of metros and compare with estimates from Google

1. Run 6.1_analysis_get_metro_centers.R, which identifies the CBD of each MSA as the largest urban core business district. This also conducts the distance and density concentration analysis that forms the basis of Figure 2 of the main text and Figure S2 in the supplementary materials

2. Run 6.2_prep_google_get_api.R, which downloads the central point of each MSA as determined by Google

3. Run 6.3_analysis_google_compare_cbds.R, which calculates the distance between the CBD determined by the algorithm and that determined by Google. This outputs table S4 in the supplementary materials


# 7. Calculate statistics mentioned in the paper

1. Run 7.1_statistics_for_paper.R to calculate the statistics cited in the paper. 


# 8. Supplementary analysis

1. Run S.1_analysis_identify_bds_randomize.py to create simulated clustering under randomness for the top 100 MSAs 

2. Run figures S.2_analysis_random_clusters_prob.R to create figure S4 in the supplement

3. Run S.3_figures_cat_maps_giuliano.R to create figure S5 in the supplement